BLOGS

4D FOR FLEX

warning: file_get_contents(http://www.telize.com/geoip/54.80.169.119) [function.file-get-contents]: failed to open stream: HTTP request failed! HTTP/1.1 404 Not Found in /var/www/www.4d.com/docs/includes/common.inc(1762) : eval()'d code on line 4.

Além de PC vs. Mac

A compatibilidade e estabilidade multiplataforma de 4D é lendária. Agora, existem mais de duas plataformas, cada navegador, cada smartphone e cada tecnologia RIA é uma nova plataforma com novos padrões que 4D se satisfaz em suportar.

Ao abrir a caixa

4D v12 tem um servidor web integrado. 4D v12 inclui numerosas funcionalidades integradas que lhe permitem colocar sua aplicação em linha imediata.



 

  

 

Funcionalidades incluídas com 4D

Qual é a diferença entre 4D for Flex e DAX?

Ambos tem o mesmo objetivo, desenvolver aplicações ricas de Internet (RIAs) para 4D Server. Mas seguem dois esquemas diferentes:

4D for Flex trabalha conectado, sem nenhum componente do lado do servidor. A comunicação entre cliente e servidor é baseada em um protocolo SQL patenteado (o mesmo usado para o suporte ODBC para SQL), o que requer abrir uma porta especial no firewall para permitir a comunicação.

4D for Flex necessita 4D Server?

Não para desenvolvimento, mas sim para distribuição.

4D for Flex é compatível com outras fontes de dados SQL?

Não, 4D for Flex utiliza um protocolo SQL específico para 4D SQL Server.

Como resolver um alerta de segurança em 4D for Flex?

Você poderia receber o erro a seguir:

 

Error #2048
Security sandbox violation
http://localhost8080/SpendingsUI.swf cannot load data from localhost1919

Isto acontece por causa de uma alteração no modelo de segurança de Adobe Flash Player que começou desde a versão 9.0.124. Ver: http://www.adobe.com/support/security/bulletins/apsb08-11.html
 

Para solucionar este tema, você deverá usar 4D Server v11 SQL Release 2.

 

Onde está o arquivo de localização em espanhol em 4D for Flex?

“Um usuário Flex principiante com Flex Builder 3 recém instalado não terá a localização es_ES  e não poderá  compilar/executar as  demos."

 

Tenho um conflito com 4D for Flex e Adobe AIR

"Tentei criar um projeto AIR usando 4D for Flex, mas parece que existe um conlito. É como se algumas classes de 4D for Flex entrassem em conflito com as classes SQL de AIR. SQLConnect  é uma delas."


1) Como é explicado no manual de uso a camada Flash não é suportada.

 

2) Se mesmo assim, você quer usar esta API, você pode habilitar esta função desta forma:

 

Controle e administração de sessões

Controle e administre sessões, conexões, desconexões, tempos de espera, etc.

Qual é a versão mínima de 4D para usar 4D for Flex?

A versão mínima necessária de 4D é 4D v11 SQL Release 2 (11.2)